Favicon

You are here: Home > API Reference > UEM > Mdm Policy Template Information > Get Policy Templates

Get Policy Templates

Get Policy Templates

GET
/v1/mdm-policy-templates/
Copy to clipboard

Get Policy Templates

Get Policy Templates

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
name string
optional
≤ 128 characters
description string
optional
≤ 256 characters
tags array
optional
type string
optional
appleandroidwindows

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
description string optional
≤ 256 characters
config object optional
tags array [string] optional
imageUrl string optional
≤ 256 characters
createdAt string optional
Format: date-time
updatedAt string optional
Format: date-time
type string optional
apple android windows
order number optional
Format: float
active boolean optional
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "name": "string",
                "description": "string",
                "config": {},
                "tags": [
                    "string"
                ],
                "imageUrl": "string",
                "createdAt": "2024-01-01T00: 00:00Z",
                "updatedAt": "2024-01-01T00: 00:00Z",
                "type": "apple",
                "order": 0,
                "active": true
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}